petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPlexCheckSymmetry

Check that the adjacency information in the mesh is symmetric.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCheckSymmetry(DM dm)

### Input Parameter

dm -The DMPlex object

Note: This is a useful diagnostic when creating meshes programmatically.

### See Also

DMCreate(), DMPlexCheckSkeleton(), DMPlexCheckFaces()

### Level

developer

### Location

src/dm/impls/plex/plex.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages